﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XDGHierarchicalData1
{
    public class Parent : ObservableModel
    {
        private string _parentName { get; set; }
        public string ParentName
        {
            get
            {
                return _parentName;
            }
            set
            {
                _parentName = value;
                NotifyPropertyChanged();
            }
        }
        private bool _parentBool { get; set; }
        public bool ParentBool
        {
            get
            {
                return _parentBool;
            }
            set
            {
                _parentBool = value;
                NotifyPropertyChanged();
            }
        }
        private int _parentAge { get; set; }
        public int ParentAge
        {
            get
            {
                return _parentAge;
            }
            set
            {
                _parentAge = value;
                NotifyPropertyChanged();
            }
        }
        private ObservableCollection<Child> _children { get; set; }
        public ObservableCollection<Child> Children
        {
            get
            {
                return _children;
            }
            set
            {
                _children = value;
                NotifyPropertyChanged();
            }
        }
    }

    public class Child : ObservableModel
    {
        private string _childName { get; set; }
        public string ChildName
        {
            get
            {
                return _childName;
            }
            set
            {
                _childName = value;
                NotifyPropertyChanged();
            }
        }
        private bool _childBool { get; set; }
        public bool ChildBool
        {
            get
            {
                return _childBool;
            }
            set
            {
                _childBool = value;
                NotifyPropertyChanged();
            }
        }
        private int _childAge { get; set; }
        public int ChildAge
        {
            get
            {
                return _childAge;
            }
            set
            {
                _childAge = value;
                NotifyPropertyChanged();
            }
        }
    }
}
